/*
 * 02.01 -- basic timers
 * for miniPICkit by z0r0 & res
 *
 * kit connection:
 *  GP0: LED0 (red)
 *  GP1: LED1 (green)
 *  GP2: BTN0 (via jumper J1) + extension header
 *  GP4,5: extension header
 */

#include <htc.h>

// fuses
__CONFIG(MCLRE_OFF & WDTE_OFF & FOSC_INTRCIO);

// local defines
#define DELAY 0x90

void main(void) {
    int cntr = 0;

    /* init */
    // gp
    CMCON = 7;      // disable comparator
    ANSEL = 0;      // disble analog functions
    TRISIO = 0;     // set all pins as output
    TRISIO2 = 1;      // set GP2 as input


    // timer 1
    TMR1CS = 0;     // set internal clocks as clock source
    T1CONbits.T1CKPS = 0b11;    // set prescaler to 1:8
    TMR1ON = 1;

    /* main program */
    GPIO = 0b01;

    /* main loop */

    cntr = 0x8000;
    while(cntr--);

    do {
        TMR1L = 0;
        TMR1H = 0;
        while(TMR1H < 0x7F );  // busy-waiting loop
        GPIO = ~GPIO; // invert values on GPIO
    } while (1);
}



